Bug 239376 - dns/powerdns-recursor: Update to 4.2.0
Summary: dns/powerdns-recursor: Update to 4.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://doc.powerdns.com/recursor/cha...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-22 09:43 UTC by Ralf van der Enden
Modified: 2019-09-05 18:41 UTC (History)
2 users (show)

See Also:


Attachments
Update to PowerDNS Recursor 4.2.0 (4.63 KB, patch)
2019-07-22 09:43 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-07-22 09:43:35 UTC
Created attachment 205989 [details]
Update to PowerDNS Recursor 4.2.0

Excerpt from https://blog.powerdns.com/2019/07/15/powerdns-recursor-4-2-0-released/:

The 4.2.0 release of the PowerDNS Recursor brings a lot of small, incremental changes over the 4.1.x releases. We expect little operational impact when upgrading from 4.1.x. However, several new features have been implemented and some features have changed.

QA:
portlint: OK (looks fine.)
testport: OK (12.0, amd64/i386 ; 11.3, amd64)
Comment 1 Ralf van der Enden 2019-07-22 09:50:05 UTC
Unfortunately an extra patch (files/patch-pdns_dns__random.cc) is required because bug #234180 is not part of 12.0-RELEASE yet.
Comment 2 Dani 2019-09-02 09:43:05 UTC
Bump - 4.2 has been officaly released.
Comment 3 Kurt Jaeger freebsd_committer 2019-09-05 05:26:26 UTC
testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2019-09-05 18:41:03 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-09-05 18:41:32 UTC
A commit references this bug:

Author: pi
Date: Thu Sep  5 18:40:46 UTC 2019
New revision: 511261
URL: https://svnweb.freebsd.org/changeset/ports/511261

Log:
  dns/powerdns-recursor: upgrade 4.1.14 -> 4.2.0

  PR:		239376
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Relnotes:	https://doc.powerdns.com/recursor/changelog/4.2.html
  		https://blog.powerdns.com/2019/07/15/powerdns-recursor-4-2-0-released/

Changes:
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-pdns_dns__random.cc
  head/dns/powerdns-recursor/files/patch-rec__channel.cc